Package weka.gui.boundaryvisualizer

# Class RemoteResult

java.lang.Object
weka.gui.boundaryvisualizer.RemoteResult

All Implemented Interfaces:
  `Serializable`

public class RemoteResult extends Object implements Serializable
Class that encapsulates a result (and progress info) for part of a distributed boundary visualization. The result of a sub-task is the probabilities necessary to display one row of the final visualization.

Since:
  1.0
Version:
  $Revision: 1.3 $
Author:
  Mark Hall
See Also:
  - `Serializable`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteResult(int rowNum, int rowLength)`
Creates a new `RemoteResult` instance.

## Method Summary

Modifier and Type
Method
Description
`int`
`getPercentCompleted()`
Return the progress for this row
`double[][]`
`getProbabilities()`
Return the probability distributions for this row in the visualization
`void`
`setLocationProbs(int index, double[] distribution)`
Store the classifier's distribution for a particular pixel in the visualization
`void`
`setPercentCompleted(int pc)`
Set the progress for this row so far

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteResult

public RemoteResult(int rowNum, int rowLength)
Creates a new `RemoteResult` instance.

Parameters:
  `rowNum` - the row number
  `rowLength` - the number of pixels in the row

## Method Details

### setLocationProbs

public void setLocationProbs(int index, double[] distribution)
Store the classifier's distribution for a particular pixel in the visualization

Parameters:
  `index` - the pixel
  `distribution` - the probability distribution from the classifier

### getProbabilities

public double[][] getProbabilities()
Return the probability distributions for this row in the visualization

Returns:
  the probability distributions

### setPercentCompleted

public void setPercentCompleted(int pc)
Set the progress for this row so far

Parameters:
  `pc` - a percent completed value

### getPercentCompleted

public int getPercentCompleted()
Return the progress for this row

Returns:
  a percent completed value